Openstack package repo

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Openstack package repo

Alfredo De Luca
Hi all. 
I have centos/7 on a VM Virtualbox... I want to install all the openstack python clients (nova, swift etc). 
I installed 
yum install centos-release-openstack-queens 

and all good but when I try to install one client I have the following error:

yum install python-swiftclient

<SNIP>
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * updates: centos.mirrors.psw.services
centos-ceph-luminous                                                                                  | 2.9 kB  00:00:00
centos-openstack-queens                                                                               | 2.9 kB  00:00:00
Trying other mirror.
To address this issue please refer to the below wiki article

<SNIP>

Now the only way to install the package (or any other) is to disable that repo
yum-config-manager --disable centos-qemu-ev

then I can install the client...

Any idea? 
It looks like http://mirror.centos.org/altarch/7/virt/x86_64 doesn't exist.....


 



--
Alfredo


_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community
Reply | Threaded
Open this post in threaded view
|

Re: Openstack package repo

Amy Marrich-2
Alfredo,

Forwarding this to the OPS list in the hopes of it reaching the appropriate folks, but you might also want to checkout the RDO repos 

https://trunk.rdoproject.org/centos7/current/


Thanks,


Amy (spotz)


On Tue, Jul 10, 2018 at 10:07 AM, Alfredo De Luca <[hidden email]> wrote:
Hi all. 
I have centos/7 on a VM Virtualbox... I want to install all the openstack python clients (nova, swift etc). 
I installed 
yum install centos-release-openstack-queens 

and all good but when I try to install one client I have the following error:

yum install python-swiftclient

<SNIP>
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * updates: centos.mirrors.psw.services
centos-ceph-luminous                                                                                  | 2.9 kB  00:00:00
centos-openstack-queens                                                                               | 2.9 kB  00:00:00
Trying other mirror.
To address this issue please refer to the below wiki article

<SNIP>

Now the only way to install the package (or any other) is to disable that repo
yum-config-manager --disable centos-qemu-ev

then I can install the client...

Any idea? 
It looks like http://mirror.centos.org/altarch/7/virt/x86_64 doesn't exist.....


 



--
Alfredo


_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community



_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community
Reply | Threaded
Open this post in threaded view
|

Re: Openstack package repo

Alfredo De Luca
Thanks Amy. 
yes RDO would be ok but I wanna give it a try with centos repo first. 

Thanks heaps


On Tue, Jul 10, 2018 at 5:32 PM Amy Marrich <[hidden email]> wrote:
Alfredo,

Forwarding this to the OPS list in the hopes of it reaching the appropriate folks, but you might also want to checkout the RDO repos 

https://trunk.rdoproject.org/centos7/current/


Thanks,


Amy (spotz)


On Tue, Jul 10, 2018 at 10:07 AM, Alfredo De Luca <[hidden email]> wrote:
Hi all. 
I have centos/7 on a VM Virtualbox... I want to install all the openstack python clients (nova, swift etc). 
I installed 
yum install centos-release-openstack-queens 

and all good but when I try to install one client I have the following error:

yum install python-swiftclient

<SNIP>
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * updates: centos.mirrors.psw.services
centos-ceph-luminous                                                                                  | 2.9 kB  00:00:00
centos-openstack-queens                                                                               | 2.9 kB  00:00:00
Trying other mirror.
To address this issue please refer to the below wiki article

<SNIP>

Now the only way to install the package (or any other) is to disable that repo
yum-config-manager --disable centos-qemu-ev

then I can install the client...

Any idea? 
It looks like http://mirror.centos.org/altarch/7/virt/x86_64 doesn't exist.....


 



--
Alfredo


_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community




--
Alfredo


_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community
Reply | Threaded
Open this post in threaded view
|

Re: [Openstack-operators] Openstack package repo

Melvin Hillsman
In reply to this post by Amy Marrich-2
May I suggest install python-pip and then pip install python-swiftclient (python-openstackclient, python-whateverclient, etc at that point)

On Tue, Jul 10, 2018 at 10:32 AM, Amy Marrich <[hidden email]> wrote:
Alfredo,

Forwarding this to the OPS list in the hopes of it reaching the appropriate folks, but you might also want to checkout the RDO repos 

https://trunk.rdoproject.org/centos7/current/


Thanks,


Amy (spotz)


On Tue, Jul 10, 2018 at 10:07 AM, Alfredo De Luca <[hidden email]> wrote:
Hi all. 
I have centos/7 on a VM Virtualbox... I want to install all the openstack python clients (nova, swift etc). 
I installed 
yum install centos-release-openstack-queen

and all good but when I try to install one client I have the following error:

yum install python-swiftclient

<SNIP>
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * updates: centos.mirrors.psw.services
centos-ceph-luminous                                                                                  | 2.9 kB  00:00:00
centos-openstack-queens                                                                               | 2.9 kB  00:00:00
Trying other mirror.
To address this issue please refer to the below wiki article

<SNIP>

Now the only way to install the package (or any other) is to disable that repo
yum-config-manager --disable centos-qemu-ev

then I can install the client...

Any idea? 
It looks like http://mirror.centos.org/altarch/7/virt/x86_64 doesn't exist.....


 



--
Alfredo


_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community



_______________________________________________
OpenStack-operators mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators




--
Kind regards,

Melvin Hillsman
[hidden email]
mobile: (832) 264-2646

_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community
Reply | Threaded
Open this post in threaded view
|

Re: [Openstack-operators] Openstack package repo

Alfredo De Luca
Hi Melvin. Thanks for that. Anyway I was able to install the packages with the repo. 

Cheers


On Wed, Jul 11, 2018 at 1:16 AM Melvin Hillsman <[hidden email]> wrote:
May I suggest install python-pip and then pip install python-swiftclient (python-openstackclient, python-whateverclient, etc at that point)

On Tue, Jul 10, 2018 at 10:32 AM, Amy Marrich <[hidden email]> wrote:
Alfredo,

Forwarding this to the OPS list in the hopes of it reaching the appropriate folks, but you might also want to checkout the RDO repos 

https://trunk.rdoproject.org/centos7/current/


Thanks,


Amy (spotz)


On Tue, Jul 10, 2018 at 10:07 AM, Alfredo De Luca <[hidden email]> wrote:
Hi all. 
I have centos/7 on a VM Virtualbox... I want to install all the openstack python clients (nova, swift etc). 
I installed 
yum install centos-release-openstack-queens 

and all good but when I try to install one client I have the following error:

yum install python-swiftclient

<SNIP>
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * updates: centos.mirrors.psw.services
centos-ceph-luminous                                                                                  | 2.9 kB  00:00:00
centos-openstack-queens                                                                               | 2.9 kB  00:00:00
Trying other mirror.
To address this issue please refer to the below wiki article

<SNIP>

Now the only way to install the package (or any other) is to disable that repo
yum-config-manager --disable centos-qemu-ev

then I can install the client...

Any idea? 
It looks like http://mirror.centos.org/altarch/7/virt/x86_64 doesn't exist.....


 



--
Alfredo


_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community



_______________________________________________
OpenStack-operators mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-operators




--
Kind regards,

Melvin Hillsman
[hidden email]
mobile: (832) 264-2646


--
Alfredo


_______________________________________________
Community mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/community